import type { ComputedRef, Ref } from 'vue';
import type { Recordable } from '../../typings/global';
declare type ComponentRef<T extends HTMLElement = HTMLDivElement> = {
    $el: T;
} | null;
export declare function useTableScrollTo(tableElRef: Ref<ComponentRef>, getDataSourceRef: ComputedRef<Recordable[]>): {
    scrollTo: (pos: string) => void;
};
export {};
